[A003]Wheel of Innovation

get
https://connect.patsnap.com/insights/wheel-of-innovation
Try in Sandbox

A two-tiered view of the keywords and phrases found within records in the technology space. This can be used to influence subsequent patent searches by making you aware of the more common terms used in this technology space. It is also useful to identify terms that are commonly associated with other similar terms. The Circle Chart categorizes the most frequently occurring keywords of the most recent 5,000 publications in the technology field into a 2-tier hierarchy.

Search must contain either keywords or IPC or Query Search.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
apply_end_time
string2020
Patent apply date to, format:yyyy
apply_start_time
string2010
Patent apply date from, format:yyyy
authority
stringCN
Select the authority of the patent, the default query all databases, eg CN、US、EP、JP. To find more information, refer to https://analytics.zhihuiya.com/status. Example: US OR EP
ipc
stringB66B11
Patent IPC classification
keywords
stringcar
Searches for keywords within patent title and summary. Supports AND, OR, NOT search logic, for example "mobile phone AND (screen OR battery)".
lang
Required
stringen
Select the language , the default language is en, you can choose cn or en.
public_end_time
string2020
Patent publication date to, format:yyyy
public_start_time
string2010
Patent publication date from, format:yyyy
query_text
stringTACD: virtual reality
Enter the Analytics Query, with a maximum length of 800 characters and cannot contain complex wildcards such as $W $PRE $WS $SEN $PARA $FREQ .etc

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
array-
response data
topics_name
stringreadable storage medium
topics
topics_count
integer<int32>9
number of subject patents
subtopics_list
arrayPlease check the form: Subtopics
list of sub-topics
name
stringwind turbine
subtopics
count
integer<int32>9
number of subtopics patents
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": [
    {
      "topics_name": "readable storage medium",
      "topics_count": 9,
      "subtopics_list": [
        {
          "name": "wind turbine",
          "count": 9
        }
      ]
    }
  ],
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200000API call exceeds the total limit set by the platform!
67200001API call exceeds the total limit set by the platform!
67200002The current call rate is too fast, exceeding the current configuration limit QPS!
67200003The key and secret parameters for applying for the token are incorrect or the client has been disabled!
67200004The requested api does not have permission. Please contact our support personnel!
67200005Insufficient account balance/number of calls!
67200006The client has exceeded the activation validity period!
67200007The current call exceeds the configured usage limit of the day!
67200008Please check if the required apikey in the query parameter has been transmitted!
67200009The apikey does not match the passed bearerToken. Please check if a valid token is being used!
67200012The request is illegal!
67200100The current server status is busy, request response timeout!
67200101The API requested currently does not exist. Please check the request path!

HTTP Status Codes

Status CodeDescription
0Success
401Unauthorized
403Forbidden
404Not Found